libechonest-qt5-devel-2.3.0+20150206-ku.4.5.i586.rpm


Advertisement

Description

libechonest-qt5-devel - Qt library for communicating with The Echo Nest

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Unstable all
Package filename libechonest-qt5-devel-2.3.0+20150206-ku.4.5.i586.rpm
Package name libechonest-qt5-devel
Package version 2.3.0+20150206
Package release ku.4.5
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage https://projects.kde.org/libechonest
License GPL-2.0-or-later
Maintainer -
Download size 34.76 KB
Installed size 129.17 KB
It currently supports almost all of the features of the Echo Nest API, including all the API functions.

Alternatives

Package Version Architecture Repository
libechonest-qt5-devel-2.3.0+20150206-15.17.x86_64.rpm 2.3.0+20150206 x86_64 KDE 5
libechonest-qt5-devel-2.3.0+20150206-15.17.i586.rpm 2.3.0+20150206 i586 KDE 5
libechonest-qt5-devel-2.3.0+20150206-2.4.x86_64.rpm 2.3.0+20150206 x86_64 openSUSE Oss
libechonest-qt5-devel-2.3.0+20150206-2.4.i586.rpm 2.3.0+20150206 i586 openSUSE Oss
libechonest-qt5-devel-2.3.0+20150206-ku.4.5.x86_64.rpm 2.3.0+20150206 x86_64 KDE Unstable
libechonest-qt5-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libechonest5-2_3 = 2.3.0+20150206
pkgconfig(Qt5Core) -
pkgconfig(Qt5Network) -

Provides

Name Value
libechonest-qt5-devel = 2.3.0+20150206-ku.4.5
libechonest-qt5-devel(x86-32) = 2.3.0+20150206-ku.4.5
pkgconfig(libechonest5) = 2.3.0

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libechonest-qt5-devel-2.3.0+20150206-ku.4.5.i586.rpm
Source Package libechonest-qt5-2.3.0+20150206-ku.4.5.src.rpm

Install Howto

  1. Add the KDE Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Qt/openSUSE_Tumbleweed/ kde-unstable
  2. Install libechonest-qt5-devel rpm package:
    # zypper install libechonest-qt5-devel

Files

Path
/usr/include/echonest5/Artist.h
/usr/include/echonest5/ArtistTypes.h
/usr/include/echonest5/AudioSummary.h
/usr/include/echonest5/Catalog.h
/usr/include/echonest5/CatalogArtist.h
/usr/include/echonest5/CatalogItem.h
/usr/include/echonest5/CatalogSong.h
/usr/include/echonest5/CatalogUpdateEntry.h
/usr/include/echonest5/CommonTypes.h
/usr/include/echonest5/Config.h
/usr/include/echonest5/Genre.h
/usr/include/echonest5/Playlist.h
/usr/include/echonest5/Song.h
/usr/include/echonest5/Track.h
/usr/include/echonest5/TypeInformation.h
/usr/include/echonest5/Util.h
/usr/include/echonest5/echonest_export.h
/usr/lib/libechonest5.so
/usr/lib/pkgconfig/libechonest5.pc
/usr/share/licenses/libechonest-qt5-devel/COPYING

Changelog

2018-05-25 - christophe@krop.fr
- Add 0001-Fix-build-with-Qt-5.11.patch to fix build with Qt 5.11.
2015-02-06 - dev@dominik-schmidt.de
- Update to 2.3.0+20150206:
* Change include dir from echonest/ to echonest5/ to make Qt4 and
Qt5 devel package coinstallable
2014-11-13 - hrvoje.senjan@gmail.com
- Install license
2014-09-26 - hrvoje.senjan@gmail.com
- Update to 2.3.0
* Buildsystem fixes
* Qt5 build support
- Don't build tests, they are useless here, and would drag in boost
- Added baselibs.conf
- Activate Qt5 build, and rename source package to libechonest-qt5
2013-05-16 - dev@dominik-schmidt.de
- Version 2.1.0:
* soversion correctly bumped
2013-05-05 - dev@dominik-schmidt.de
- Version 2.0.3
* Genre Support
2013-03-22 - schwab@suse.de
- Properly determine LIB_SUFFIX
2012-11-20 - nico.kruber@gmail.com
- Fix the SLES build (%make_install is not expanded on SLES)
2012-07-24 - dev@dominik-schmidt.de
- Version 2.0.1:
* supports new API while old one is shut down in a few days
2012-03-24 - dvaleev@suse.com
- ppc64 also puts libraries under lib64

See Also

Package Description
libechonest5-2_3-2.3.0+20150206-ku.4.5.i586.rpm Qt library for communicating with The Echo Nest
libechonest5-2_3-2.3.0+20150206-ku.4.5.x86_64.rpm Qt library for communicating with The Echo Nest
libechonest5-2_3-32bit-2.3.0+20150206-ku.4.5.x86_64.rpm Qt library for communicating with The Echo Nest
libgpgme-devel-1.13.0-ku.3.1.i586.rpm Development files for GPGME, a C library for accessing GnuPG
libgpgme-devel-1.13.0-ku.3.1.x86_64.rpm Development files for GPGME, a C library for accessing GnuPG
libgpgme11-1.13.0-ku.3.1.i586.rpm Programmatic library interface to GnuPG
libgpgme11-1.13.0-ku.3.1.x86_64.rpm Programmatic library interface to GnuPG
libgpgme11-32bit-1.13.0-ku.3.1.x86_64.rpm Programmatic library interface to GnuPG
libgpgmepp-devel-1.13.0-ku.3.1.i586.rpm Development files for libgpgmepp, a C++ library for accessing GnuPG
libgpgmepp-devel-1.13.0-ku.3.1.x86_64.rpm Development files for libgpgmepp, a C++ library for accessing GnuPG
libgpgmepp6-1.13.0-ku.3.1.i586.rpm Programmatic C++ library interface to GnuPG
libgpgmepp6-1.13.0-ku.3.1.x86_64.rpm Programmatic C++ library interface to GnuPG
libgpgmepp6-32bit-1.13.0-ku.3.1.x86_64.rpm Programmatic C++ library interface to GnuPG
libjreen-qt5-1-1.3.0-ku.3.5.i586.rpm Qt Jabber/XMPP library
libjreen-qt5-1-1.3.0-ku.3.5.x86_64.rpm Qt Jabber/XMPP library
Advertisement
Advertisement